Package com.pixelmed.apps

## Class TabulateSegmentSequence

- java.lang.Object
- - com.pixelmed.apps.TabulateSegmentSequence

-     public class TabulateSegmentSequence
      extends java.lang.Object

  A utility class with a main method to read a DICOM segmentation object and tabulate the description of the segments.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TabulateSegmentSequence()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] arg)` | Read a DICOM segmentation object and tabulate the description of the segments.
    `static void` | `tabulateSegmentSequence​(java.lang.String inputfilename, java.io.PrintStream out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TabulateSegmentSequence

          public TabulateSegmentSequence()

  - ### Method Detail

    - #### tabulateSegmentSequence

          public static void tabulateSegmentSequence​(java.lang.String inputfilename,
                                                     java.io.PrintStream out)
                                              throws java.io.IOException,
                                                     java.io.FileNotFoundException,
                                                     java.lang.NumberFormatException,
                                                     DicomException

      Throws:
        `java.io.IOException`
        `java.io.FileNotFoundException`
        `java.lang.NumberFormatException`
        `DicomException`

    - #### main

          public static void main​(java.lang.String[] arg)

      Read a DICOM segmentation object and tabulate the description of the segments.

      Parameters:
        `arg` - one parameter, the inputFile